Skip to main content
GET
/
v1
/
returns
List returns
curl --request GET \
  --url https://api.augustus.com/v1/returns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "return",
      "status": "pending",
      "deposit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": "<string>",
      "currency": "EUR",
      "failure": {
        "code": "account_closed",
        "message": "<string>",
        "retry": true
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 < x < 100
cursor
string

Opaque cursor from a previous next_cursor.

status
enum<string>

Current status of the return.

Available options:
pending,
paid,
failed,
returned
deposit_id
string<uuid>

Filter returns belonging to this deposit.

created_at.gte
string<date-time>

Include returns whose created_at is greater than or equal to this ISO 8601 timestamp.

created_at.lte
string<date-time>

Include returns whose created_at is less than or equal to this ISO 8601 timestamp.

Response

200 - application/json

Paginated list of returns

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required